using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Dvb;
using skyscraper5.Mpeg2;
using skyscraper5.PrivateDataSpecifiers.ArdZdfOrf;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Ard
{
    [SkyscraperPlugin]
    [UserDefinedDescriptor(5,0x82,"EIT")]
    [DescriptorPluginEitHandler(typeof(EitHandler))]
    class ArdVpsDescriptor : TsDescriptor
    {
        public ArdVpsDescriptor(byte[] buffer)
        {
            if (buffer.Length != 13)
            {
                Valid = false;
                return;
            }

            VpsString = Encoding.UTF8.GetString(buffer);
            Valid = true;
        }

        public string VpsString { get; private set; }
    }
}
